#ifndef _EARTRAINING_H_
#define _EARTRAINING_H_

#include <element.h>

#include <addon.h>
#include <table.h>
#include <part.h>
#include <track.h>

#include <qwidget.h>


class EarTraining : public Addon
{
 private:

 public:
  /** The constructor is given a parameter specifying the target of the operation
   * implement this typically for a Song, Track, Part and NULL, where NULL indicates that
   * the globally defined table * selectioN is used as a target
   */
  EarTraining(Element*);
  ~EarTraining();

  virtual void global();
  
  void undo();
  void redo();



};

#endif
